package com.ruoyi.web.modules.stock.domain;

import java.util.Date;

/**
 * 库存调整明细 biz_stock_adjust
 */
public class BizStockAdjust
{
    private Long adjustId;

    private Long shopId;

    private Long goodsId;

    private Long skuId;

    private String goodsName;

    private String specText;

    private String adjustMode;

    private String adjustType;

    private Integer adjustQty;

    private Integer stockBefore;

    private Integer stockAfter;

    private Long operatorId;

    private String operatorName;

    private Date createTime;

    public Long getAdjustId()
    {
        return adjustId;
    }

    public void setAdjustId(Long adjustId)
    {
        this.adjustId = adjustId;
    }

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }

    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public Long getSkuId()
    {
        return skuId;
    }

    public void setSkuId(Long skuId)
    {
        this.skuId = skuId;
    }

    public String getGoodsName()
    {
        return goodsName;
    }

    public void setGoodsName(String goodsName)
    {
        this.goodsName = goodsName;
    }

    public String getSpecText()
    {
        return specText;
    }

    public void setSpecText(String specText)
    {
        this.specText = specText;
    }

    public String getAdjustMode()
    {
        return adjustMode;
    }

    public void setAdjustMode(String adjustMode)
    {
        this.adjustMode = adjustMode;
    }

    public String getAdjustType()
    {
        return adjustType;
    }

    public void setAdjustType(String adjustType)
    {
        this.adjustType = adjustType;
    }

    public Integer getAdjustQty()
    {
        return adjustQty;
    }

    public void setAdjustQty(Integer adjustQty)
    {
        this.adjustQty = adjustQty;
    }

    public Integer getStockBefore()
    {
        return stockBefore;
    }

    public void setStockBefore(Integer stockBefore)
    {
        this.stockBefore = stockBefore;
    }

    public Integer getStockAfter()
    {
        return stockAfter;
    }

    public void setStockAfter(Integer stockAfter)
    {
        this.stockAfter = stockAfter;
    }

    public Long getOperatorId()
    {
        return operatorId;
    }

    public void setOperatorId(Long operatorId)
    {
        this.operatorId = operatorId;
    }

    public String getOperatorName()
    {
        return operatorName;
    }

    public void setOperatorName(String operatorName)
    {
        this.operatorName = operatorName;
    }

    public Date getCreateTime()
    {
        return createTime;
    }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }
}
